import * as React from "react";
import { SVGProps } from "react";

import { IiCon } from "@/(types)/IconInterface";
import styles from "@/icons/IconFills.module.scss";

const ComponentIcon = ({ color, width = "20px", height = "21px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 20 21"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            fill={fill}
            // eslint-disable-next-line max-len
            d="M10 0.5C10.6641 0.5 11.2891 0.578125 11.9141 0.695312C12.2266 0.773438 12.7734 0.929688 13.0859 1.47656C13.1641 1.63281 13.2031 1.78906 13.2422 1.94531L13.6328 3.46875C13.6719 3.66406 14.0625 3.89844 14.2969 3.82031L15.7812 3.39062C15.9375 3.35156 16.0938 3.3125 16.25 3.3125C16.875 3.3125 17.3047 3.70312 17.5 3.9375C18.3594 4.91406 19.0234 6.04688 19.4531 7.29688C19.5703 7.60938 19.6875 8.15625 19.3359 8.66406C19.2578 8.82031 19.1406 8.9375 19.0234 9.05469L17.9297 10.1484C17.7344 10.3047 17.7344 10.7344 17.9297 10.8906L19.0234 11.9844C19.1406 12.1016 19.2578 12.2188 19.3359 12.375C19.6484 12.8828 19.5312 13.4297 19.4531 13.7422C19.0234 14.9922 18.3594 16.125 17.5 17.1016C17.3047 17.3359 16.875 17.7266 16.25 17.7266C16.0938 17.7266 15.9375 17.6875 15.7812 17.6484L14.2969 17.1797C14.0625 17.1406 13.6719 17.3359 13.6328 17.5703L13.2422 19.0938C13.2031 19.25 13.1641 19.4062 13.0859 19.5625C12.7734 20.1094 12.2266 20.2656 11.9141 20.3438C11.2891 20.4609 10.6641 20.5 10 20.5C9.33594 20.5 8.67188 20.4609 8.04688 20.3438C7.73438 20.2656 7.1875 20.1094 6.875 19.5625C6.79688 19.4062 6.75781 19.25 6.71875 19.0938L6.32812 17.5703C6.28906 17.3359 5.89844 17.1406 5.70312 17.1797L4.21875 17.6484C4.0625 17.6875 3.86719 17.6875 3.71094 17.7266C3.08594 17.7266 2.65625 17.3359 2.46094 17.1016C1.60156 16.125 0.9375 14.9922 0.507812 13.7422C0.429688 13.4297 0.3125 12.8828 0.625 12.3359C0.703125 12.2188 0.820312 12.0625 0.9375 11.9453L2.07031 10.8906C2.22656 10.7344 2.22656 10.3047 2.07031 10.1484L0.9375 9.05469C0.820312 8.9375 0.703125 8.82031 0.625 8.66406C0.3125 8.15625 0.429688 7.60938 0.507812 7.29688C0.9375 6.04688 1.60156 4.91406 2.46094 3.9375C2.65625 3.70312 3.08594 3.3125 3.71094 3.3125C3.86719 3.3125 4.0625 3.35156 4.21875 3.39062L5.70312 3.82031C5.89844 3.89844 6.28906 3.66406 6.32812 3.46875L6.71875 1.94531C6.75781 1.78906 6.79688 1.63281 6.875 1.47656C7.1875 0.929688 7.73438 0.773438 8.04688 0.695312C8.67188 0.578125 9.33594 0.5 10 0.5ZM8.51562 2.53125L8.16406 3.89844C7.85156 5.14844 6.40625 6.00781 5.15625 5.65625L3.78906 5.22656C3.16406 6.00781 2.65625 6.86719 2.30469 7.80469L3.35938 8.78125C4.29688 9.67969 4.29688 11.3594 3.35938 12.2578L2.30469 13.2344C2.65625 14.1719 3.16406 15.0312 3.78906 15.8125L5.15625 15.3828C6.40625 15.0312 7.85156 15.8906 8.16406 17.1406L8.51562 18.5078C9.45312 18.7031 10.5078 18.7031 11.4844 18.5078L11.7969 17.1406C12.1094 15.8906 13.5547 15.0312 14.8047 15.3828L16.1719 15.8125C16.7969 15.0312 17.3047 14.1719 17.6562 13.2344L16.6406 12.2578C15.7031 11.3594 15.7031 9.67969 16.6406 8.78125L17.6562 7.80469C17.3047 6.86719 16.7969 6.00781 16.1719 5.22656L14.8047 5.65625C13.5938 6.00781 12.1094 5.14844 11.7969 3.89844L11.4844 2.53125C10.5078 2.33594 9.45312 2.33594 8.51562 2.53125ZM8.125 10.5C8.125 11.2031 8.47656 11.7891 9.0625 12.1406C9.60938 12.4922 10.3516 12.4922 10.9375 12.1406C11.4844 11.7891 11.875 11.2031 11.875 10.5C11.875 9.83594 11.4844 9.25 10.9375 8.89844C10.3516 8.54688 9.60938 8.54688 9.0625 8.89844C8.47656 9.25 8.125 9.83594 8.125 10.5ZM10 14.25C8.63281 14.25 7.42188 13.5469 6.71875 12.375C6.05469 11.2422 6.05469 9.79688 6.71875 8.625C7.42188 7.49219 8.63281 6.75 10 6.75C11.3281 6.75 12.5391 7.49219 13.2422 8.625C13.9062 9.79688 13.9062 11.2422 13.2422 12.375C12.5391 13.5469 11.3281 14.25 10 14.25Z"
        />
    </svg>
);
export default ComponentIcon;
